package com.ibm.websphere.samples.bank.ejb;
import com.ibm.websphere.samples.bank.exception.InsufficientFundsException;
/**
 * Local interface for Enterprise Bean: Account
 */
public interface AccountLocal extends javax.ejb.EJBLocalObject {
	/**
	 * Get accessor for persistent attribute: accountType
	 */
	public int getAccountType();
	/**
	 * Set accessor for persistent attribute: accountType
	 */
	public void setAccountType(int newAccountType);
	/**
	 * Get accessor for persistent attribute: balance
	 */
	public float getBalance();
	/**
	 * Set accessor for persistent attribute: balance
	 */
	public void setBalance(float newBalance);
	/**
	 * Adds the specified amount to the account balance and returns the new balance.
	 * @return float The new balance in the account after the method executes.
	 * @param amount float The amount to add to the account balance.
	 */
	public float add(float amount);
	/**
	 * Subtracts the specified amount from the account balance and returns the new balance.
	 * @return float The new balance in the account after the method executes.
	 * @param amount float The amount to subtract from the account balance.
	 * @exception com.ibm..bank.ejb.InsufficientFundsException The account contained 
	 * less than the amount requested for subtraction.
	 */
	public float subtract(float amount) throws InsufficientFundsException;
	/**
	 * Get accessor for persistent attribute: accountNumber
	 */
	public int getAccountNumber();
}