//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. " 
//
// Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.ejb;

import java.util.ListResourceBundle;

/**
 * The <b>AccountResourceBundle</b> provides locale specific
 * support for the <b>AccountBean</b> and <b>AccountBean</b> classes.
 * Within IBM, "locale specific support" is also known
 * as "National Language Support" or "NLS."
 *
 */
public class AccountResourceBundle extends ListResourceBundle {

    private final static String kIBMCopyright = "(c) Copyright IBM Corporation 1999";

    /**
     * Constructs a new <b>AccountResourceBundle</b>.
     */
    public AccountResourceBundle() {
    }

    /**
     * Returns the two-dimensional array of Strings which provide the
     * locale specific support.  The array is a set of non-variant keys
     * which map to the locale specific implementation of the "message."
     * @return Two-dimensional array of Strings.
     */
    public Object[][] getContents() {
        return contents;
    }

    static final Object[][] contents = {
        // LOCALIZE THIS
        { "createFailed", "Create of key \"{0}\" failed" }, {
            "loadFailed", "Load found {0} rows of data for key \"{1}\"" }, {
            "storeFailed", "Store of key \"{0}\" failed" }, {
            "removeFailed", "Remove of key \"{0}\" failed" }, {

            "insufficientFunds", "Insufficient funds for this debit operation." }, {
            "accountBMBean", "AccountBMBean -- " }, {
            "dropFailed", "dropConnection : ERROR closing JDBC Connection" }, {
            "cantCommit", "dropConnection : ERROR during JDBC commit" }, {
            "errUpdate", "ejbCreate : ERROR : updated \"{0}\" rows" }, {
            "errStore", "ejbStore : ERROR : updated \"{0}\" rows" }, {

            "keyNotFound", "Key \"{0}\" not found" }, {
            "tooManyKeys", "Multiple rows of data for key \"{0}\" found" }, {
            "dbConnectionFailed", "Connecting to the database failed" }, {
            "errDB", "ERROR working with db" }, {
            "errRemove", "ejbRemove : ERROR : deleted \"{0}\" rows" }, {
            "errInitCtx", "Exception retrieving the initial context" }, {
            "errLookup", "Exception retrieving the home" }, {

            "noContext", "No EntityContext has been set" }, {
            "noEnvironment", "No environmental properties exist" }, {
            "envNotSet", "Environment property \"{0}\" not set" },
        // END OF MATERIAL TO LOCALIZE
    };
}
