//
// "This sample program is provided AS IS and may be used, executed, copied and
// modified without royalty payment by customer (a) for its own
// instruction and study, (b) in order to develop applications designed to run
// with an IBM WebSphere product, either for customer's own internal use
// or for redistribution by customer, as part of such an application, in
// customer's own products. "
//
// Product 5724-I63, (C) COPYRIGHT International Business Machines Corp., 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//
package com.ibm.websphere.samples.bank.web;

import java.io.Serializable;

public class HistoryBean implements Serializable {
    private static final int MAX_MESSAGES = 10;
    private String[] historyMessages;
    private int first, total;
    public HistoryBean() {
        super();
        // TODO Auto-generated constructor stub
        historyMessages = new String[MAX_MESSAGES];
        first = 0;
        total = 0;
    }
    /**
     * @param aMessage
     */
    public void addMessage(String aMessage) {
        if (first == 0 && total < MAX_MESSAGES) {
            historyMessages[total] = aMessage;
            total++;
        }
        if (total == MAX_MESSAGES) {
            historyMessages[first] = aMessage;
            first = (first + 1) % MAX_MESSAGES;
        }
    }
    /**
     * @return String[] list of messages.
     */
    public String[] getMessages() {
        String[] messages = new String[total];
        for (int i = 0; i < total; i++) {
            messages[i] = historyMessages[((first + i) % MAX_MESSAGES)];
        }
        return messages;
    }
}